<div class="main-container">
  <div class="players-win-container">
    <div class="player-win">
      <span class="player-label">
        J1
      </span>
      <span class="player-star" *ngFor="let win of players.player1.wins">
        &#11088;</span
      >
    </div>
    <div class="player-win">
      <span class="player-label">
        J2
      </span>
      <span class="player-star" *ngFor="let win of players.player2.wins">
        &#11088;</span
      >
    </div>
    <div class="player-win">
      <span class="player-label">
        J3
      </span>
      <span class="player-star" *ngFor="let win of players.player3.wins">
        &#11088;</span
      >
    </div>
    <div class="player-win">
      <span class="player-label">
        J4
      </span>
      <span class="player-star" *ngFor="let win of players.player4.wins">
        &#11088;</span
      >
    </div>
  </div>
  <div class="board-container">
    <div class="players-label-container">
      <div class="player-label" [style.color]="players.player1.color">
        Jugador 1
      </div>
      <div class="player-label" [style.color]="players.player2.color">
        Jugador 2
      </div>
    </div>
    <div id="board">
      <table>
        <tbody>
          <tr>
            <td
              class="chips-container-td chips-player-1"
              colspan="2"
              id="row0_col0"
              rowspan="2"
            >
              <table>
                <tbody>
                  <tr>
                    <td id="player-1-chip-1"></td>
                    <td id="player-1-chip-2"></td>
                  </tr>
                  <tr>
                    <td id="player-1-chip-3"></td>
                    <td id="player-1-chip-4"></td>
                  </tr>
                </tbody>
              </table>
              <span
                [ngStyle]="chip.style"
                *ngFor="let chip of chips.player1"
                class="chip"
                [class.exiting-chip]="chip.exiting"
                [class.finished-chip]="chip.finished"
                class="chip"
                [class.exiting-chip]="chip.exiting"
                [class.jumping-chip]="chip.jumping"
                (click)="moveChip(chip)"
                >{{ chip.sameTileNumber }}</span
              >
            </td>
            <td colspan="1" id="row0_col2"></td>
            <td colspan="1" id="row0_col3"></td>
            <td class="tile" colspan="1" id="tile9"></td>
            <td class="tile" colspan="1" id="tile10"></td>
            <td class="tile" colspan="1" id="tile11">
              <div class="arrow">
                <span
                  class="arrow-to-down"
                  [style.color]="players.player2.color"
                  >&#10151;</span
                >
              </div>
            </td>
            <td colspan="1" id="row0_col7"></td>
            <td colspan="1" id="row0_col8"></td>
            <td
              class="chips-container-td chips-player-2"
              colspan="2"
              id="row0_col10"
              rowspan="2"
            >
              <table>
                <tbody>
                  <tr>
                    <td id="player-2-chip-1"></td>
                    <td id="player-2-chip-2"></td>
                  </tr>
                  <tr>
                    <td id="player-2-chip-3"></td>
                    <td id="player-2-chip-4"></td>
                  </tr>
                </tbody>
              </table>
              <span
                [ngStyle]="chip.style"
                *ngFor="let chip of chips.player2"
                class="chip"
                [class.exiting-chip]="chip.exiting"
                [class.finished-chip]="chip.finished"
                class="chip"
                [class.exiting-chip]="chip.exiting"
                [class.jumping-chip]="chip.jumping"
                (click)="moveChip(chip)"
                >{{ chip.sameTileNumber }}</span
              >
            </td>
          </tr>
          <tr>
            <td colspan="1" id="row1_col2"></td>
            <td colspan="1" id="row1_col3"></td>
            <td class="tile" colspan="1" id="tile8"></td>
            <td
              class="tile player-color-2 selected"
              colspan="1"
              id="tileColor2_11"
              style="background: rgb(255, 44, 1);"
            ></td>
            <td class="tile" colspan="1" id="tile12"></td>
            <td colspan="1" id="row1_col7"></td>
            <td colspan="1" id="row1_col8"></td>
          </tr>
          <tr>
            <td colspan="1" id="row2_col0"></td>
            <td colspan="1" id="row2_col1"></td>
            <td colspan="2" rowspan="2" id="row2_col2" class="dice-container">
              <app-dice
                (rolledDice)="rolledDice(1, $event)"
                [active]="
                  currentTurn == player.number &&
                  currentTurn == players.player1.number &&
                  !players.player1.rolledDice
                "
                [disabled]="currentTurn != player.number || player.number != 1"
                [ngStyle]="dices.dice1.style"
                #player1Dice
              ></app-dice>
            </td>
            <td class="tile" colspan="1" id="tile7"></td>
            <td
              class="tile player-color-2 selected"
              colspan="1"
              id="tileColor2_12"
              style="background: rgb(255, 44, 1);"
            ></td>
            <td class="tile" colspan="1" id="tile13"></td>
            <td colspan="2" rowspan="2" class="dice-container" id="row2_col7">
              <app-dice
                (rolledDice)="rolledDice(2, $event)"
                [active]="
                  currentTurn == player.number &&
                  currentTurn == players.player2.number &&
                  !players.player2.rolledDice
                "
                [disabled]="currentTurn != player.number || player.number != 2"
                [ngStyle]="dices.dice2.style"
                #player1Dice
              ></app-dice>
            </td>
            <td colspan="1" id="row2_col8"></td>
            <td colspan="1" id="row2_col9"></td>
          </tr>
          <tr>
            <td colspan="1" id="row3_col0"></td>
            <td colspan="1" id="row3_col1"></td>
            <td class="tile" colspan="1" id="tile6"></td>
            <td
              class="tile player-color-2 selected"
              colspan="1"
              id="tileColor2_13"
              style="background: rgb(255, 44, 1);"
            ></td>
            <td class="tile" colspan="1" id="tile14"></td>
            <td colspan="1" id="row3_col7"></td>
            <td colspan="1" id="row3_col8"></td>
          </tr>
          <tr>
            <td class="tile" colspan="1" id="tile1">
              <div class="arrow">
                <span
                  class="arrow-to-right"
                  [style.color]="players.player1.color"
                  >&#10151;</span
                >
              </div>
            </td>
            <td class="tile" colspan="1" id="tile2"></td>
            <td class="tile" colspan="1" id="tile3"></td>
            <td class="tile" colspan="1" id="tile4"></td>
            <td class="tile" colspan="1" id="tile5"></td>
            <td
              class="tile player-color-2 selected"
              colspan="1"
              id="tileColor2_14"
              style="background: rgb(255, 44, 1);"
            ></td>
            <td class="tile" colspan="1" id="tile15"></td>
            <td class="tile" colspan="1" id="tile16"></td>
            <td class="tile" colspan="1" id="tile17"></td>
            <td class="tile" colspan="1" id="tile18"></td>
            <td class="tile" colspan="1" id="tile19"></td>
          </tr>
          <tr>
            <td class="tile" colspan="1" id="tile40"></td>
            <td
              class="tile player-color-1 selected"
              colspan="1"
              id="tileColor1_41"
              style="background: rgb(0, 113, 241);"
            ></td>
            <td
              class="tile player-color-1 selected"
              colspan="1"
              id="tileColor1_42"
              style="background: rgb(0, 113, 241);"
            ></td>
            <td
              class="tile player-color-1 selected"
              colspan="1"
              id="tileColor1_43"
              style="background: rgb(0, 113, 241);"
            ></td>
            <td
              class="tile player-color-1 selected"
              colspan="1"
              id="tileColor1_44"
              style="background: rgb(0, 113, 241);"
            ></td>
            <td class="tile " colspan="1" id="final-tile"></td>
            <td
              class="tile player-color-4 selected"
              colspan="1"
              id="tileColor4_24"
              style="background: rgb(1, 192, 62);"
            ></td>
            <td
              class="tile player-color-4 selected"
              colspan="1"
              id="tileColor4_23"
              style="background: rgb(1, 192, 62);"
            ></td>
            <td
              class="tile player-color-4 selected"
              colspan="1"
              id="tileColor4_22"
              style="background: rgb(1, 192, 62);"
            ></td>
            <td
              class="tile player-color-4 selected"
              colspan="1"
              id="tileColor4_21"
              style="background: rgb(1, 192, 62);"
            ></td>
            <td class="tile" colspan="1" id="tile20"></td>
          </tr>
          <tr>
            <td class="tile" colspan="1" id="tile39"></td>
            <td class="tile" colspan="1" id="tile38"></td>
            <td class="tile" colspan="1" id="tile37"></td>
            <td class="tile" colspan="1" id="tile36"></td>
            <td class="tile" colspan="1" id="tile35"></td>
            <td
              class="tile player-color-3 selected"
              colspan="1"
              id="tileColor3_34"
              style="background: rgb(254, 254, 1);"
            ></td>
            <td class="tile" colspan="1" id="tile25"></td>
            <td class="tile" colspan="1" id="tile24"></td>
            <td class="tile" colspan="1" id="tile23"></td>
            <td class="tile" colspan="1" id="tile22"></td>
            <td class="tile" colspan="1" id="tile21">
              <div class="arrow">
                <span
                  class="arrow-to-left"
                  [style.color]="players.player4.color"
                  >&#10151;</span
                >
              </div>
            </td>
          </tr>
          <tr>
            <td colspan="1" id="row7_col0"></td>
            <td colspan="1" id="row7_col1"></td>
            <td colspan="2" rowspan="2" class="dice-container" id="row7_col2">
              <app-dice
                (rolledDice)="rolledDice(3, $event)"
                [active]="
                  currentTurn == player.number &&
                  currentTurn == players.player3.number &&
                  !players.player3.rolledDice
                "
                [disabled]="currentTurn != player.number || player.number != 3"
                [ngStyle]="dices.dice3.style"
                #player1Dice
              ></app-dice>
            </td>
            <td class="tile" colspan="1" id="tile34"></td>
            <td
              class="tile player-color-3 selected"
              colspan="1"
              id="tileColor3_33"
              style="background: rgb(254, 254, 1);"
            ></td>
            <td class="tile" colspan="1" id="tile26"></td>
            <td colspan="2" rowspan="2" class="dice-container" id="row7_col7">
              <app-dice
                (rolledDice)="rolledDice(4, $event)"
                [active]="
                  currentTurn == player.number &&
                  currentTurn == players.player4.number &&
                  !players.player4.rolledDice
                "
                [disabled]="currentTurn != player.number || player.number != 4"
                [ngStyle]="dices.dice4.style"
                #player1Dice
              ></app-dice>
            </td>
            <td colspan="1" id="row7_col8"></td>
            <td colspan="1" id="row7_col9"></td>
          </tr>
          <tr>
            <td colspan="1" id="row8_col0"></td>
            <td colspan="1" id="row8_col1"></td>
            <td class="tile" colspan="1" id="tile33"></td>
            <td
              class="tile player-color-3 selected"
              colspan="1"
              id="tileColor3_32"
              style="background: rgb(254, 254, 1);"
            ></td>
            <td class="tile" colspan="1" id="tile27"></td>
            <td colspan="1" id="row8_col7"></td>
            <td colspan="1" id="row8_col8"></td>
          </tr>
          <tr>
            <td
              class="chips-container-td chips-player-3"
              colspan="2"
              id="row9_col0"
              rowspan="2"
            >
              <table>
                <tbody>
                  <tr>
                    <td id="player-3-chip-1"></td>
                    <td id="player-3-chip-2"></td>
                  </tr>
                  <tr>
                    <td id="player-3-chip-3"></td>
                    <td id="player-3-chip-4"></td>
                  </tr>
                </tbody>
              </table>
              <span
                [ngStyle]="chip.style"
                *ngFor="let chip of chips.player3"
                class="chip"
                [class.exiting-chip]="chip.exiting"
                [class.finished-chip]="chip.finished"
                class="chip"
                [class.exiting-chip]="chip.exiting"
                [class.jumping-chip]="chip.jumping"
                (click)="moveChip(chip)"
                >{{ chip.sameTileNumber }}</span
              >
            </td>
            <td colspan="1" id="row9_col2"></td>
            <td colspan="1" id="row9_col3"></td>
            <td class="tile" colspan="1" id="tile32"></td>
            <td
              class="tile player-color-3 selected"
              colspan="1"
              id="tileColor3_31"
              style="background: rgb(254, 254, 1);"
            ></td>
            <td class="tile" colspan="1" id="tile28"></td>
            <td colspan="1" id="row9_col7"></td>
            <td colspan="1" id="row9_col8"></td>
            <td
              class="chips-container-td chips-player-4"
              colspan="2"
              id="row9_col10"
              rowspan="2"
            >
              <div class="grid-container">
                <div class="grid-item" id="player-4-chip-1"></div>
                <div class="grid-item" id="player-4-chip-2"></div>
                <div class="grid-item" id="player-4-chip-3"></div>
                <div class="grid-item" id="player-4-chip-4"></div>
              </div>
              <span
                [ngStyle]="chip.style"
                *ngFor="let chip of chips.player4"
                class="chip"
                [class.exiting-chip]="chip.exiting"
                [class.finished-chip]="chip.finished"
                class="chip"
                [class.exiting-chip]="chip.exiting"
                [class.jumping-chip]="chip.jumping"
                (click)="moveChip(chip)"
                >{{ chip.sameTileNumber }}</span
              >
            </td>
          </tr>
          <tr>
            <td colspan="1" id="row10_col2"></td>
            <td colspan="1" id="row10_col3"></td>
            <td class="tile" colspan="1" id="tile31">
              <div class="arrow">
                <span class="arrow-to-up" [style.color]="players.player3.color"
                  >&#10151;</span
                >
              </div>
            </td>
            <td class="tile" colspan="1" id="tile30"></td>
            <td class="tile" colspan="1" id="tile29"></td>
            <td colspan="1" id="row10_col7"></td>
            <td colspan="1" id="row10_col8"></td>
          </tr>
        </tbody>
      </table>
    </div>
    <div class="players-label-container">
      <div class="player-label" [style.color]="players.player3.color">
        Jugador 3
      </div>
      <div class="player-label" [style.color]="players.player4.color">
        Jugador 4
      </div>
    </div>
  </div>
</div>
